.mobile-dock {
  z-index: var(--z-index-fixed);
  color: rgb(var(--color-text));
  background: var(--gradient-background);
  background-color: rgb(var(--color-background));
  border-radius: 0;
  border-start-end-radius: 16px;
  border-start-start-radius: 16px;
  border: none;
  border-block-start: var(--modal-border-thickness) solid rgb(var(--color-text)/ var(--modal-border-opacity));
  box-shadow: var(--modal-shadow-offset-x) var(--modal-shadow-offset-y) var(--modal-shadow-blur) rgb(var(--color-shadow)/ var(--modal-shadow-opacity));
}

.mobile-dock__item {
  height: 48px;
  width: 100%;
  max-width: 100%;
  text-decoration: none;
  background: none;
  border: none;
  padding: 0;
  color: rgb(var(--color-text));
}

.mobile-dock__item .body7 {
  letter-spacing: 0;
}

.mobile-dock-2col .mobile-dock__item {
  width: 50%;
}

.mobile-dock-3col .mobile-dock__item {
  width: 33.33%;
}

.mobile-dock-4col .mobile-dock__item {
  width: 25%;
}

.mobile-dock-5col .mobile-dock__item {
  width: 20%;
}

.mobile-dock-6col .mobile-dock__item {
  width: 16.66%;
}

@media (max-width: 959px) {
  html {
    --mobile-dock-visible: 0;
  }

  html:has(.mobile-dock--visible),
  html:has(.theme-sticky-header--sticky.theme-sticky-header--sticky-collapse) {
    --mobile-dock-visible: 1;
  }

  html:has(.theme-sticky-header--sticky:not(.theme-sticky-header--sticky-collapse) :where([data-sticky-mode="sticky_on_scroll_up"])) {
    --mobile-dock-visible: 0;
  }

  html.scrollspy-nav-stuck:has([data-sticky-mode="sticky_on_scroll_up"]):has(.mobile-dock--visible) {
    --mobile-dock-visible: 1;
  }

  .mobile-dock {
    translate: 0 calc((1 - var(--mobile-dock-visible)) * (100% + var(--modal-shadow-blur, 0px)));
  }

  .mobile-dock[loaded] {
    transition: translate 0.3s ease;
  }

  @media (prefers-reduced-motion: reduce) {
    .mobile-dock[loaded] {
      transition: none;
    }
  }

  .mobile-dock.mobile-dock--editing {
    translate: 0 0;
  }

  .footer-content {
    padding-block-end: var(--mobile-dock-height, 0px);
  }
}